Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(8)

Issue 671583002: Test: Pages controlled by ServiceWorkers should not participate in AppCaching (Closed)

Created:
3 years, 11 months ago by michaeln
Modified:
3 years, 11 months ago
Reviewers:
falken
CC:
blink-reviews, jsbell+serviceworker_chromium.org, kenjibaheux+watch_chromium.org, tzik, serviceworker-reviews, nhiroki, falken, kinuko+serviceworker, horo+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Test: Pages controlled by ServiceWorkers should not participate in AppCaching. BUG=410665 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=184136

Patch Set 1 #

Patch Set 2 : #

Total comments: 17

Patch Set 3 : #

Total comments: 1

Patch Set 4 : #

Patch Set 5 : #

Total comments: 1

Patch Set 6 : #

Patch Set 7 : #

Total comments: 4

Patch Set 8 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+133 lines, -0 lines) Patch
A LayoutTests/http/tests/serviceworker/appcache-ordering-main.html View 1 2 3 4 5 6 7 1 chunk +86 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/serviceworker/resources/appcache-ordering.manifest View 1 chunk +7 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/serviceworker/resources/appcache-ordering.install.html View 1 2 3 4 5 1 chunk +26 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/serviceworker/resources/appcache-ordering.is-appcached.html View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/serviceworker/resources/appcache-ordering.is-appcached.js View 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 17 (4 generated)
michaeln
ptal
3 years, 11 months ago (2014-10-20 23:30:32 UTC) #2
falken
looks good, some style nits (some are on the older patch set, I tried to ...
3 years, 11 months ago (2014-10-21 01:28:31 UTC) #3
michaeln
https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html File LayoutTests/http/tests/serviceworker/appcache-ordering-main.html (right): https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode43 LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:43: function is_appcached() { On 2014/10/21 01:28:31, falken wrote: > ...
3 years, 11 months ago (2014-10-21 02:14:10 UTC) #4
michaeln
https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html File LayoutTests/http/tests/serviceworker/appcache-ordering-main.html (right): https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode16 LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:16: function notifyAppCacheInstalled(success) { On 2014/10/21 01:28:30, falken wrote: > ...
3 years, 11 months ago (2014-10-21 02:30:12 UTC) #5
falken
https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html File LayoutTests/http/tests/serviceworker/appcache-ordering-main.html (right): https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode77 LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:77: }); On 2014/10/21 02:14:10, michaeln wrote: > > also, ...
3 years, 11 months ago (2014-10-21 02:30:22 UTC) #6
michaeln
> https://codereview.chromium.org/671583002/diff/20001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode77 > LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:77: }); > On 2014/10/21 02:14:10, michaeln wrote: > > > also, ...
3 years, 11 months ago (2014-10-21 02:51:33 UTC) #7
falken
LGTM https://codereview.chromium.org/671583002/diff/20002/LayoutTests/http/tests/serviceworker/resources/appcache-ordering.install.html File LayoutTests/http/tests/serviceworker/resources/appcache-ordering.install.html (right): https://codereview.chromium.org/671583002/diff/20002/LayoutTests/http/tests/serviceworker/resources/appcache-ordering.install.html#newcode25 LayoutTests/http/tests/serviceworker/resources/appcache-ordering.install.html:25: applicationCache.onobsolete =installFailed; nit: missing space after =
3 years, 11 months ago (2014-10-21 04:54:44 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/671583002/90001
3 years, 11 months ago (2014-10-21 18:33:31 UTC) #10
michaeln
ptal, made a few changes after more local testing https://codereview.chromium.org/671583002/diff/110001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html File LayoutTests/http/tests/serviceworker/appcache-ordering-main.html (right): https://codereview.chromium.org/671583002/diff/110001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode30 LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:30: ...
3 years, 11 months ago (2014-10-21 21:15:01 UTC) #12
michaeln
https://codereview.chromium.org/671583002/diff/110001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html File LayoutTests/http/tests/serviceworker/appcache-ordering-main.html (right): https://codereview.chromium.org/671583002/diff/110001/LayoutTests/http/tests/serviceworker/appcache-ordering-main.html#newcode32 LayoutTests/http/tests/serviceworker/appcache-ordering-main.html:32: } i'll restore the ; i dropped here and ...
3 years, 11 months ago (2014-10-21 21:20:01 UTC) #13
falken
still lgtm
3 years, 11 months ago (2014-10-22 01:49:52 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/671583002/130001
3 years, 11 months ago (2014-10-22 01:51:59 UTC) #16
commit-bot: I haz the power
3 years, 11 months ago (2014-10-22 02:50:22 UTC) #17
Message was sent while issue was closed.
Committed patchset #8 (id:130001) as 184136

Powered by Google App Engine
This is Rietveld 408576698